<template>
	<view class="container">
		<!-- <view class="vheigh"></view> -->
		<view class="user-info">
			<image src="../../static/img/user-bg.png" mode="" class="bg"></image>
			<view class="user flex">
				<view class="">
					<image :src="userInfo.avatar" mode="" class="avt" v-if="userInfo && userInfo.avatar"></image>
					<image src="../../static/error/missing-face.png" mode="" class="avt" v-else></image>
				</view>
				<view class="">
					<view class="flex" >
						<view class="clamp" style="max-width: 400rpx;">
							{{userInfo && userInfo.uid ? userInfo.nickname: '游客'}}
						</view>
						<image v-if="userInfo && userInfo.vip" :src="userInfo.vip_icon" mode="" class="gp" ></image>
					</view>
					<view class="phone" v-if="userInfo && userInfo.uid">
						UID: {{userInfo.uid}}
					</view>
				</view>
			</view>
			<view class="vip">
				<image src="../../static/img/vip-bg.png" mode=""></image>
				<view class="ffz flex">
					<view class="tit">
						服务站
					</view>
					<view class="ct" >
						{{userInfo.uid && userInfo.is_server ? '您当前已是服务站':'申请成为服务站' }}
					</view>
					<view class="btn" @click="openSq()" v-if="hasLogin && !(userInfo.uid && userInfo.is_server)">
						立即申请
					</view>
				</view>
				<view class="hy flex" v-if="endTime">
					<image src="../../static/icon/laba.png" mode=""></image>您已开通会员，{{formatTimestamp(endTime*1000)}}{{ntime*1 < endTime*1000 ? '到期':'已到期'}}
				</view>
			</view>
		</view>
		<view class="user-list flex" @click="navTo('/pages/user/award')">
			<image src="../../static/icon/jf.png" mode="" class="left-img"></image>
			<view class="">
				我的积分
			</view>
			<image src="../../static/icon/back.png" mode="" class="right-img"></image>
		</view>
		<view class="user-list flex" @click="navTo('/pages/user/yue')">
			<image src="../../static/icon/yeb.png" mode="" class="left-img"></image>
			<view class="">
				我的余额
			</view>
			<image src="../../static/icon/back.png" mode="" class="right-img"></image>
		</view>
		<view class="user-list flex" @click="navTo('/pages/user/team1')">
			<image src="../../static/icon/u0.png" mode="" class="left-img"></image>
			<view class="">
				我的推广
			</view>
			<image src="../../static/icon/back.png" mode="" class="right-img"></image>
		</view>
		<view class="user-list flex" @click="navTo('/pages/user/buyList')">
			<image src="../../static/icon/order.png" mode="" class="left-img"></image>
			<view class="">
				订单记录
			</view>
			<image src="../../static/icon/back.png" mode="" class="right-img"></image>
		</view>
		<view class="user-list flex" @click="navTo('/pages/user/shareQrCode')">
			<image src="../../static/icon/gn1.png" mode="" class="left-img"></image>
			<view class="">
				邀请好友
			</view>
			<image src="../../static/icon/back.png" mode="" class="right-img"></image>
		</view>
		<!-- <view class="user-list flex" @click="openKf()">
			<image src="../../static/icon/u5.png" mode="" class="left-img"></image>
			<view class="">
				客服中心
			</view>
			<image src="../../static/icon/back.png" mode="" class="right-img"></image>
		</view> -->
		<view class="user-list flex" @click="navTo('/pages/set/userinfo')">
			<image src="../../static/icon/u6.png" mode="" class="left-img"></image>
			<view class="">
				设置
			</view>
			<image src="../../static/icon/back.png" mode="" class="right-img"></image>
		</view>
		<uni-popup ref="popupkf" type="center">
			<view class="popup-box">
				<view class="img">
					<image src="../../static/img/img009.png" mode=""></image>
				</view>
				<view class="mian">
					<view class="delivery">
						<view class="title">已经为您定制专属客服</view>
						<image src="../../static/img/img010.png" mode=""></image>
					</view>
					<view class="nocancel">客服VX:{{ text }}</view>
					<view class="comfirm-box">
						<view class="cancel" @click="cancel">取消</view>
						<view class="comfirm" @click="comfirm(text)">复制微信</view>
					</view>
				</view>
			</view>
		</uni-popup>
		<uni-popup ref="popupFwz" type="center">
			<view class="popup-fwz">
				<image src="../../static/img/pop-top.png" mode=""></image>
				<view class="tit">
					确认申请服务站吗？
				</view>
				<view class="">
					成为服务站需等待官方审核
				</view>
				<view class="btn" @click="goSq">
					发送申请
				</view>
				<image src="../../static/icon/close.png" mode="" class="close" @click="cancelSq"></image>
			</view>
		</uni-popup>
	</view>
</template>
<script>
	import {
		orderVerific
	} from '@/api/index.js'
	import {
		toScanCode
	} from '@/components/scan.js'
	// #ifdef H5
	import weixinObj from "@/plugin/jweixin-module/index.js";
	// #endif
	import {
		mapState,
		mapMutations
	} from 'vuex';
	import uniList from '@/components/uni-list/uni-list.vue';
	import uniListItem from '@/components/uni-list-item/uni-list-item.vue';
	import {
		getUser,
		orderData,
		getUserInfo,
		goHx,
		getBuyList,
		details,
		gosq,
		getss
	} from '@/api/user.js';
	import {
		saveUrl,
		interceptor
	} from '@/utils/loginUtils.js';
	let startY = 0,
		moveY = 0,
		pageAtTop = true;
	export default {
		components: {
			uniList,
			uniListItem
		},
		data() {
			return {
				ntime: new Date().getTime(),
				endTime: '',
				jhe: 0, //进货额
				listList: [], //等级列表
				current: 2,
				id: '', //是否已签到
				store_name: '',
				achievement: '',
				code: '',
				levelList: [],
				text: '', //客服微信
				hxcode: '', //核销码
				hxLoading: false
			};
		},
		onShow() {
			this.loadBaseData();
			
		},
		filters: {
			phone(e) {
				var subStr1 = e.substr(0, 3);
				var subStr2 = e.substr(e.length - 4, 4);
				var subStr = subStr1 + '****' + subStr2;
				e = subStr;
				return e;
			}
		},
		onReady() {
			// 初始化获取页面宽度
			uni.createSelectorQuery()
				.select('.container')
				.fields({
						size: true
					},
					data => {
						// 计算最多下拉的高度
						this.userDowm = Math.floor((data.width / 750) * 185);
						// 计算最大触发修改高度事件
						this.userMaxDowm = Math.floor((data.width / 750) * 250);
					}
				)
				.exec();
		},
		computed: {
			...mapState('user', ['userInfo', 'orderInfo', 'hasLogin'])
		},
		methods: {
			...mapMutations('user', ['setUserInfo']),
			details() {
				details({},1).then(res => {
					console.log(res)
				})
			},
			formatTimestamp(timestamp) {
			  var date = new Date(timestamp);
			  var year = date.getFullYear();
			  var month = ("0" + (date.getMonth() + 1)).slice(-2);
			  var day = ("0" + date.getDate()).slice(-2);
			  var hours = ("0" + date.getHours()).slice(-2);
			  var minutes = ("0" + date.getMinutes()).slice(-2);
			  var seconds = ("0" + date.getSeconds()).slice(-2);
			
			  return year + "-" + month + "-" + day;
			},
			close() {
				this.hxcode = ''
				this.$refs.popuphx.close()
			},
			goSq() {
				gosq().then(res => {
					this.$refs.popupFwz.close()
					uni.showModal({
						// title:"提示",
						content: '提交成功请耐心等待审核'
					})
				})
			},
			gorz() {
				if (!this.hasLogin) {
					saveUrl();
					interceptor();
				} else {
					// uni.navigateTo({
					// 	url
					// });
					if (this.userInfo.is_real == 0) {
						this.navTo('/pages/user/smrz')
					} else if (this.userInfo.is_real == 1) {
						uni.showModal({
							title: "提示",
							content: '您提交的资料正在审核中，请耐心等待审核'
						})
					}
				}
			},
			sqdl() {
				
			},
			sao() {
				let obj = this;

				// #ifndef H5
				uni.scanCode({
					success(e) {
						obj.code = e.result;
						obj.$refs.popuphx.open();
						console.log(obj.$refs.popuphx);
					}
				});
				// #endif
			},
			comfirm(text) {
				console.log(text);
				const result = this.uniCopy(text);
				if (result === false) {
					uni.showToast({
						title: '不支持'
					});
				} else {
					uni.showToast({
						title: '复制成功',
						icon: 'none'
					});
				}
				this.$refs.popupkf.close();
			},
			uniCopy(content) {
				/**
				 * 小程序端 和 app端的复制逻辑
				 */
				//#ifndef H5
				uni.setClipboardData({
					data: content,
					success: function() {
						console.log('success');
						return true;
					}
				});
				//#endif

				/**
				 * H5端的复制逻辑
				 */
				// #ifdef H5
				if (!document.queryCommandSupported('copy')) {
					//为了兼容有些浏览器 queryCommandSupported 的判断
					// 不支持
					return false;
				}
				let textarea = document.createElement('textarea');
				textarea.value = content;
				textarea.readOnly = 'readOnly';
				document.body.appendChild(textarea);
				textarea.select(); // 选择对象
				textarea.setSelectionRange(0, content.length); //核心
				let result = document.execCommand('copy'); // 执行浏览器复制命令
				textarea.remove();
				return result;
				// #endif
			},
			// 加载初始数据
			loadBaseData() {
				const obj = this
				getUser({})
					.then(({
						data
					}) => {
						obj.setUserInfo(data);
						obj.getBuyList()
					})
					.catch(e => {
						console.log(e);
					});

			},
			getBuyList() {
				getBuyList({
					page: 1,
					limit: 1
				}).then(res => {
					this.endTime = res.data.list[0].valid_time
				})
			},
			/**
			 * 统一跳转接口,拦截未登录路由
			 * navigator标签现在默认没有转场动画，所以用view
			 */
			navTo(url) {
				console.log(url);
				if (!this.hasLogin) {
					// 保存地址
					saveUrl();
					// 登录拦截
					interceptor();
				} else {
					uni.navigateTo({
						url
					});
				}
			},
			close() {
				this.$refs.popuphx.close();
				this.code = '';
			},
			// 打开客服
			openKf() {
				this.$refs.popupkf.open();
			},
			openSq() {
				if (this.hasLogin) {
					
					// if (this.userInfo.enroll_status == 1) {
					// 	uni.showModal({
					// 		title: "提示",
					// 		content: '您提交的申请正在审核中，请耐心等待审核'
					// 	})
					// } else {
						
					// }
					// getss().then(res => {
					// 	console.log(res)
					// })
					this.$refs.popupFwz.open();
				} else {
					saveUrl();
					interceptor();
				}
			},
			// 关闭客服
			cancel() {
				this.$refs.popupkf.close();
			},
			cancelSq() {
				this.$refs.popupFwz.close();
			},
			// 打开绑定
			open() {
				this.$refs.gspass.open();
			},
		}
	};
</script>
<style lang="scss">
	.container,
	page {
		min-height: 100%;
		height: auto;
		background-color: $page-color-base;
	}

	.vheigh {
		height: var(--status-bar-height);
		background-color: $base-color;
	}

	.user-info {
		width: 750rpx;
		height: 439rpx;
		position: relative;

		.bg {
			width: 100%;
			height: 100%;
		}

		.user {
			height: 110rpx;
			width: 100%;
			position: absolute;
			top: 136rpx;
			padding: 0 30rpx;
			justify-content: flex-start;
			font-size: 36rpx;
			color: #847360;

			.avt {
				width: 110rpx;
				height: 110rpx;
				margin-right: 10rpx;
				border-radius: 50%;
			}

			.gp {
				width: 103rpx;
				height: 32rpx;
				// padding-left: ;
				margin-left: 10rpx;
			}

			.phone {
				font-weight: 500;
				font-size: 28rpx;
				color: #847360;
				padding-top: 5;
			}
		}

		.vip {
			width: 692rpx;
			height: 133rpx;
			position: absolute;
			left: 0;
			right: 0;
			bottom: 0;
			margin: auto;

			image {
				width: 100%;
				height: 100%;
			}
			.ffz {
				position: absolute;
				bottom: 0;
				width: 100%;
				padding:0 30rpx;
				height: 95rpx;
				
				.tit {
					font-weight: 500;
					font-size: 32rpx;
					color: #F3D184;
					font-style: italic;
					background: linear-gradient(71deg, #D4AE45 0%, #FFF2BF 100%);
					-webkit-background-clip: text;
					-webkit-text-fill-color: transparent;
					
				}
				
				.ct {
					padding-left: 15rpx;
					flex-grow: 1;
					width: 184rpx;
					font-weight: 500;
					font-size: 28rpx;
					color: #F3D184;
				}
				.btn {
					width: 152rpx;
					line-height: 36rpx;
					background: #F2D18A;
					text-align: center;
					border-radius: 18rpx;
					font-weight: normal;
					font-size: 24rpx;
					color: #494347;
				}
			}
			.hy{
				font-weight: 500;
				font-size: 20rpx;
				color: #84592F;
				justify-content: flex-start;
				padding-left: 30rpx;
				position: absolute;
				height: 40rpx;
				top: 0;
				image {
					margin-right: 7rpx;
					width: 24rpx;
					height: 21rpx;
				}
			}
		}
	}

	.popup-box {
		width: 522rpx;
		height: 605rpx;
		background-color: #ffffff;
		border-radius: 20rpx;
		position: relative;

		.img {
			position: relative;
			top: -56rpx;
			left: 0;
			width: 522rpx;
			height: 132rpx;
			display: flex;
			justify-content: center;

			image {
				border-radius: 20rpx 20rpx 0 0;
				width: 450rpx;
				height: 132rpx;
			}
		}

		.mian {
			margin-top: -44rpx;
			display: flex;
			flex-direction: column;
			align-items: center;
			// padding: 32rpx 32rpx;
			background-color: #ffffff;
			border-radius: 0 0 20rpx 20rpx;
			text-align: center;

			.delivery {
				font-size: 40rpx;
				color: #333333;
				display: flex;
				align-items: center;
				flex-direction: column;

				image {
					margin-top: 48rpx;
					width: 172rpx;
					height: 160rpx;
				}
			}

			.nocancel {
				font-size: 32rpx;
				color: #333333;
				margin-top: 14rpx;
			}

			.comfirm-box {
				margin-top: 52rpx;
				display: flex;

				.cancel {
					display: flex;
					align-items: center;
					justify-content: center;
					width: 197rpx;
					height: 74rpx;
					border: 1px solid #dcc786;
					border-radius: 38rpx;

					font-size: 32rpx;
					color: #605128;
				}

				.comfirm {
					margin-left: 32rpx;
					display: flex;
					align-items: center;
					justify-content: center;
					width: 197rpx;
					height: 74rpx;
					background: linear-gradient(-90deg, #d1ba77 0%, #f7e8ad 100%);
					border-radius: 38px;
					font-size: 32rpx;
					color: #605128;
				}
			}
		}
	}

	.user-list {
		width: 691rpx;
		height: 104rpx;
		background: #FFFFFF;
		box-shadow: 0px 0px 20rpx 0px rgba(50, 50, 52, 0.06);
		border-radius: 28rpx;
		margin: 20rpx auto;
		padding: 0 25rpx;

		.left-img {
			width: 40rpx;
			height: 40rpx;
		}

		view {
			padding-left: 20rpx;
			flex-grow: 1;
			font-size: 29rpx;
			font-weight: bold;
			color: #5D5D5D;
		}

		.right-img {
			width: 13rpx;
			height: 23rpx;
		}
	}
	.popup-fwz {
		width: 536rpx;
		height: 630rpx;
		border-radius: 20rpx;
		background-color: #fff;
		position: relative;
		image {
			width: 100%;
			height: 281rpx;
		}
		font-weight: 500;
		font-size: 24rpx;
		color: #999999;
		text-align: center;
		.tit {
			// 确认申请服务站吗？
			font-weight: 500;
			font-size: 36rpx;
			color: #333333;
			padding: 50rpx 0 15rpx;
		}
		.btn {
			width: 353rpx;
			line-height: 71rpx;
			background: linear-gradient(45deg, #E8D49B, #CFB880);
			border-radius: 34rpx;
			margin:93rpx auto 0;
			color: #5C5133;
			font-weight: 500;
			font-size: 36rpx;
		}
		.close {
			position: absolute;
			bottom: -100rpx;
			left: 0;
			right: 0;
			margin: auto;
			width: 52rpx;
			height: 52rpx;
		}
		
	}
</style>